# DataExchange
TKSTEPBase
StepBasic

# StepBasic_Group Class Reference

Representation of STEP entity Group
.

`#include <StepBasic_Group.hxx>`

Inheritance diagram for StepBasic_Group:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_Group ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasDescription, const Handle(TCollection_HAsciiString)&aDescription)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Standard_Boolean | HasDescription () const
| Returns True if optional field Description is defined .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
Standard_Boolean | defDescription

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_Group::StepBasic_Group | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_Group::Description | ( |  | ) | const

Standard_EXPORT const StepBasic_Group::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepAP214_Class, StepAP214_ExternallyDefinedClass, StepAP214_RepItemGroup, StepFEA_ElementGroup, StepFEA_FeaGroup, and StepFEA_NodeGroup.

Standard_EXPORT Standard_Boolean StepBasic_Group::HasDescription | ( |  | ) | const

Standard_EXPORT void StepBasic_Group::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasDescription,
|  | const Handle(TCollection_HAsciiString)& | aDescription
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_Group::Name | ( |  | ) | const

Standard_EXPORT void StepBasic_Group::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepBasic_Group::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

## Field Documentation

Standard_Boolean StepBasic_Group::defDescription `[private]`

Handle_TCollection_HAsciiString StepBasic_Group::theDescription `[private]`

Handle_TCollection_HAsciiString StepBasic_Group::theName `[private]`

The documentation for this class was generated from the following file:

- StepBasic_Group.hxx